> For the complete documentation index, see [llms.txt](https://docs.exoclick.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exoclick.com/rtb/publishers/exoclick-rtb/bid-response.md).

# ExoClick RTB Bid Response

The following page describes the responses you should expect to receive from ExoClick RTB requests:

## Bid Response Object

The ExoClick RTB Bid Response is done using JSON and XML.

| Attribute   | Description                                                                                                                   |
| ----------- | ----------------------------------------------------------------------------------------------------------------------------- |
| id          | ID of the object to which this bid applies (string)                                                                           |
| imgUrl      | Image url (only for type banner) (string)                                                                                     |
| iconUrl     | Icon url (only for type push\_notification and must be of requested dimensions) (string)                                      |
| clickUrl    | Forward url when campaign is clicked (for type banner or push\_notification) (string)                                         |
| nUrl        | Win notification URL (string)                                                                                                 |
| url         | Forward url when campaign is clicked (only for type popunder) (string)                                                        |
| title       | Title of the ad (only for type push\_notification) (string)                                                                   |
| description | Description of the ad (only for type push\_notification) (string)                                                             |
| value       | Bid price in CPM (float)                                                                                                      |
| btype       | Pricing Model. Values: 1 = CPM, 2 = CPC. Default = 1 (int). When response is for an Email Clicks zone request, 1 = Smart CPC. |

**Notes:**

* `"id"` attribute should match the **"id received in the request"**.
* **Push Notification** ad format may receive bids with the CPC pricing model. **Direct Link** format may also when used for **Email Click** zone requests.

## Win Notification

When the parameter **Bid Response Object > nUrl** is in the bid response, a GET request must be performed to such URL.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.exoclick.com/rtb/publishers/exoclick-rtb/bid-response.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
